.description-container {
  width: 100vw;
  height: 100vh;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}
.texture,
.filter,
.bg,
.description-overlay {
  width: 100vw;
  height: 100vh;
  position: absolute;
  z-index: 119;
}
.filter {
  opacity: 0.1;
  background: #000;
}
.texture {
  opacity: 0.35;
  background-image: url("../../assets/images/textures/dotnoise-light-grey.png");
}
.text-8xl {
  font-size: 7rem;
}
.description {
  &-overlay {
    z-index: 200;
  }
  &-line {
    display: inline-block;
    width: 20px;
  }
}
h1 {
  display: inline-block;
  z-index: 120;
  position: relative;
  font-size: 20vw;
  font-weight: 700;
  text-transform: uppercase;
  background-position: center;
  background-position-y: -15rem;
  background-position-x: -4rem;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.collapse {
  position: relative;
  &::after {
    @apply bg-ferrari-red;
    content: "";
    display: inline-block;
    position: absolute;
    z-index: 500;
    left: 0;
    width: 100%;
    height: 100%;
    left: -0.5em;
    right: -0.5em;
    width: 0;
    transform-origin: left center;
    transform: skewX(45deg) scaleX(1.1);
    animation-delay: 1s;
    animation: reduce 1s cubic-bezier(0.9, 0, 0.1, 1) forwards;
  }
}
.appear{
  opacity: 0;
    animation-duration: 1s;
    animation-timing-function: cubic-bezier(1,.02,.69,.97);
    animation-delay: 1.5s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    animation-name: appear;
}
@keyframes reduce {
  0% {
    width: 100%;
  }
  100% {
    width: 0%;
  }
}
@keyframes appear {
  0% {
    opacity:0;
  }
  100% {
    opacity: 1;
  }
}

@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) {
  h1 {
    display: inline-block;
    font-size: 22vw;
    font-weight: 700;
    text-transform: uppercase;
    //background-image: url('../../assets/images/cars/laferrari_aperta_1.jpg');
    background-size: cover;
    background-position: center;
    background-position-y: -11.5rem;
    background-position-x: 3rem;
    // background-position-y: -220px;
    // background-position-x: -20px;

    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
  .text-8xl {
    font-size: 5rem;
  }
}
